package com.heyu.api.data.entity.device;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*设备批次表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("device_batch")
public class DeviceBatchEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.device.DeviceBatchEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                   // 
    public final static String is_delete = CLASS_NAME + "is_delete";                      // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                  // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                  // 修改时间
    public final static String batch_number = CLASS_NAME + "batch_number";                // 生产批次号
    public final static String device_type = CLASS_NAME + "device_type";                  // 设备类型：0 果Box 1智能插座 2智能大灯 3智能窗帘驱动 4智能窗户关闭 5智能台灯 6智能桌子 7智能椅子 8智能风扇 9智能空调（遥控器） 10智能冰箱 11智能洗碗机 12智能电热水器 13温度传感器 14空气质量传感器 15光线传感器 16雨量传感器 17闭门器
    public final static String firmware_version = CLASS_NAME + "firmware_version";        // 出厂固件信息
    public final static String hardware_version = CLASS_NAME + "hardware_version";        // 硬件版本
    public final static String chip_ = CLASS_NAME + "chip";                               // 主芯片型号
    public final static String ram_ = CLASS_NAME + "ram";                                 // 内存大小(MB)
    public final static String rom_ = CLASS_NAME + "rom";                                 // ROM大小(MB)
    public final static String screen_type = CLASS_NAME + "screen_type";                  // 屏幕类型：0：DLP投影 1：TFT液晶屏 2：OLED
    public final static String screen_w = CLASS_NAME + "screen_w";                        // 屏幕像素宽
    public final static String screen_h = CLASS_NAME + "screen_h";                        // 屏幕像素高
    public final static String horn_num = CLASS_NAME + "horn_num";                        // 喇叭数量
    public final static String horn_power = CLASS_NAME + "horn_power";                    // 喇叭功率（W）
    public final static String microphone_num = CLASS_NAME + "microphone_num";            // 麦克风数量
    public final static String camera_ = CLASS_NAME + "camera";                           // 摄像头像素（百万）
    public final static String dc_voltage = CLASS_NAME + "dc_voltage";                    // 直流供电电压（变压器后）
    public final static String dc_current = CLASS_NAME + "dc_current";                    // 直流供电电流
    public final static String ac_voltage = CLASS_NAME + "ac_voltage";                    // 市电供电电压（交流电）
    public final static String ac_current = CLASS_NAME + "ac_current";                    // 交流供电电流
    public final static String power_ = CLASS_NAME + "power";                             // 设备峰值功率（W）
    public final static String suppert_wifi = CLASS_NAME + "suppert_wifi";                // 是否支持wifi 0 不支持 1 支持
    public final static String wifi_version = CLASS_NAME + "wifi_version";                // wifi特性
    public final static String suppert_bt = CLASS_NAME + "suppert_bt";                    // 是否支持蓝牙 0 不支持 1 支持
    public final static String bt_version = CLASS_NAME + "bt_version";                    // 蓝牙版本、特性
    public final static String battery_ = CLASS_NAME + "battery";                         // 电池容量（Wh）
    public final static String inner_batty = CLASS_NAME + "inner_batty";                  // 是否内置电池 0：无 1 支持
    public final static String describe_ = CLASS_NAME + "describe";                       // 设备详细说明
    public final static String remark_ = CLASS_NAME + "remark";                           // 备注说明
    public final static String factory_id = CLASS_NAME + "factory_id";                    // 生产厂家id
    public final static String start_produce_time = CLASS_NAME + "start_produce_time";    // 开始生产时间
    public final static String produce_mark = CLASS_NAME + "produce_mark";                // 生产标识（固件初始化时携带过来并获取信息）
    public final static String operating_system = CLASS_NAME + "operating_system";        // 设备操作系统信息
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //生产批次号
    private String batchNumber;
    //设备类型：0 果Box 1智能插座 2智能大灯 3智能窗帘驱动 4智能窗户关闭 5智能台灯 6智能桌子 7智能椅子 8智能风扇 9智能空调（遥控器） 10智能冰箱 11智能洗碗机 12智能电热水器 13温度传感器 14空气质量传感器 15光线传感器 16雨量传感器 17闭门器
    private Integer deviceType;
    //出厂固件信息
    private String firmwareVersion;
    //硬件版本
    private String hardwareVersion;
    //主芯片型号
    private String chip;
    //内存大小(MB)
    private Integer ram;
    //ROM大小(MB)
    private Integer rom;
    //屏幕类型：0：DLP投影 1：TFT液晶屏 2：OLED
    private Integer screenType;
    //屏幕像素宽
    private Integer screenW;
    //屏幕像素高
    private Integer screenH;
    //喇叭数量
    private Integer hornNum;
    //喇叭功率（W）
    private Integer hornPower;
    //麦克风数量
    private Integer microphoneNum;
    //摄像头像素（百万）
    private Integer camera;
    //直流供电电压（变压器后）
    private BigDecimal dcVoltage;
    //直流供电电流
    private BigDecimal dcCurrent;
    //市电供电电压（交流电）
    private Integer acVoltage;
    //交流供电电流
    private BigDecimal acCurrent;
    //设备峰值功率（W）
    private Integer power;
    //是否支持wifi 0 不支持 1 支持
    private Integer suppertWifi;
    //wifi特性
    private String wifiVersion;
    //是否支持蓝牙 0 不支持 1 支持
    private Integer suppertBt;
    //蓝牙版本、特性
    private String btVersion;
    //电池容量（Wh）
    private Integer battery;
    //是否内置电池 0：无 1 支持
    private Integer innerBatty;
    //设备详细说明
    private String describe;
    //备注说明
    private String remark;
    //生产厂家id
    private Long factoryId;
    //开始生产时间
    private Date startProduceTime;
    //生产标识（固件初始化时携带过来并获取信息）
    private String produceMark;
    //设备操作系统信息
    private String operatingSystem;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 生产批次号 
     * @return
     */
    public String getBatchNumber() {
        return batchNumber;
    }
    /**
     * 生产批次号 
     * @param batchNumber
     */
    public void setBatchNumber(String batchNumber) {
        this.batchNumber = batchNumber;
    }

    /**
     * 设备类型：0 果Box 1智能插座 2智能大灯 3智能窗帘驱动 4智能窗户关闭 5智能台灯 6智能桌子 7智能椅子 8智能风扇 9智能空调（遥控器） 10智能冰箱 11智能洗碗机 12智能电热水器 13温度传感器 14空气质量传感器 15光线传感器 16雨量传感器 17闭门器 
     * @return
     */
    public Integer getDeviceType() {
        return deviceType;
    }
    /**
     * 设备类型：0 果Box 1智能插座 2智能大灯 3智能窗帘驱动 4智能窗户关闭 5智能台灯 6智能桌子 7智能椅子 8智能风扇 9智能空调（遥控器） 10智能冰箱 11智能洗碗机 12智能电热水器 13温度传感器 14空气质量传感器 15光线传感器 16雨量传感器 17闭门器 
     * @param deviceType
     */
    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }

    /**
     * 出厂固件信息 
     * @return
     */
    public String getFirmwareVersion() {
        return firmwareVersion;
    }
    /**
     * 出厂固件信息 
     * @param firmwareVersion
     */
    public void setFirmwareVersion(String firmwareVersion) {
        this.firmwareVersion = firmwareVersion;
    }

    /**
     * 硬件版本 
     * @return
     */
    public String getHardwareVersion() {
        return hardwareVersion;
    }
    /**
     * 硬件版本 
     * @param hardwareVersion
     */
    public void setHardwareVersion(String hardwareVersion) {
        this.hardwareVersion = hardwareVersion;
    }

    /**
     * 主芯片型号 
     * @return
     */
    public String getChip() {
        return chip;
    }
    /**
     * 主芯片型号 
     * @param chip
     */
    public void setChip(String chip) {
        this.chip = chip;
    }

    /**
     * 内存大小(MB) 
     * @return
     */
    public Integer getRam() {
        return ram;
    }
    /**
     * 内存大小(MB) 
     * @param ram
     */
    public void setRam(Integer ram) {
        this.ram = ram;
    }

    /**
     * ROM大小(MB) 
     * @return
     */
    public Integer getRom() {
        return rom;
    }
    /**
     * ROM大小(MB) 
     * @param rom
     */
    public void setRom(Integer rom) {
        this.rom = rom;
    }

    /**
     * 屏幕类型：0：DLP投影 1：TFT液晶屏 2：OLED 
     * @return
     */
    public Integer getScreenType() {
        return screenType;
    }
    /**
     * 屏幕类型：0：DLP投影 1：TFT液晶屏 2：OLED 
     * @param screenType
     */
    public void setScreenType(Integer screenType) {
        this.screenType = screenType;
    }

    /**
     * 屏幕像素宽 
     * @return
     */
    public Integer getScreenW() {
        return screenW;
    }
    /**
     * 屏幕像素宽 
     * @param screenW
     */
    public void setScreenW(Integer screenW) {
        this.screenW = screenW;
    }

    /**
     * 屏幕像素高 
     * @return
     */
    public Integer getScreenH() {
        return screenH;
    }
    /**
     * 屏幕像素高 
     * @param screenH
     */
    public void setScreenH(Integer screenH) {
        this.screenH = screenH;
    }

    /**
     * 喇叭数量 
     * @return
     */
    public Integer getHornNum() {
        return hornNum;
    }
    /**
     * 喇叭数量 
     * @param hornNum
     */
    public void setHornNum(Integer hornNum) {
        this.hornNum = hornNum;
    }

    /**
     * 喇叭功率（W） 
     * @return
     */
    public Integer getHornPower() {
        return hornPower;
    }
    /**
     * 喇叭功率（W） 
     * @param hornPower
     */
    public void setHornPower(Integer hornPower) {
        this.hornPower = hornPower;
    }

    /**
     * 麦克风数量 
     * @return
     */
    public Integer getMicrophoneNum() {
        return microphoneNum;
    }
    /**
     * 麦克风数量 
     * @param microphoneNum
     */
    public void setMicrophoneNum(Integer microphoneNum) {
        this.microphoneNum = microphoneNum;
    }

    /**
     * 摄像头像素（百万） 
     * @return
     */
    public Integer getCamera() {
        return camera;
    }
    /**
     * 摄像头像素（百万） 
     * @param camera
     */
    public void setCamera(Integer camera) {
        this.camera = camera;
    }

    /**
     * 直流供电电压（变压器后） 
     * @return
     */
    public BigDecimal getDcVoltage() {
        return dcVoltage;
    }
    /**
     * 直流供电电压（变压器后） 
     * @param dcVoltage
     */
    public void setDcVoltage(BigDecimal dcVoltage) {
        this.dcVoltage = dcVoltage;
    }

    /**
     * 直流供电电流 
     * @return
     */
    public BigDecimal getDcCurrent() {
        return dcCurrent;
    }
    /**
     * 直流供电电流 
     * @param dcCurrent
     */
    public void setDcCurrent(BigDecimal dcCurrent) {
        this.dcCurrent = dcCurrent;
    }

    /**
     * 市电供电电压（交流电） 
     * @return
     */
    public Integer getAcVoltage() {
        return acVoltage;
    }
    /**
     * 市电供电电压（交流电） 
     * @param acVoltage
     */
    public void setAcVoltage(Integer acVoltage) {
        this.acVoltage = acVoltage;
    }

    /**
     * 交流供电电流 
     * @return
     */
    public BigDecimal getAcCurrent() {
        return acCurrent;
    }
    /**
     * 交流供电电流 
     * @param acCurrent
     */
    public void setAcCurrent(BigDecimal acCurrent) {
        this.acCurrent = acCurrent;
    }

    /**
     * 设备峰值功率（W） 
     * @return
     */
    public Integer getPower() {
        return power;
    }
    /**
     * 设备峰值功率（W） 
     * @param power
     */
    public void setPower(Integer power) {
        this.power = power;
    }

    /**
     * 是否支持wifi 0 不支持 1 支持 
     * @return
     */
    public Integer getSuppertWifi() {
        return suppertWifi;
    }
    /**
     * 是否支持wifi 0 不支持 1 支持 
     * @param suppertWifi
     */
    public void setSuppertWifi(Integer suppertWifi) {
        this.suppertWifi = suppertWifi;
    }

    /**
     * wifi特性 
     * @return
     */
    public String getWifiVersion() {
        return wifiVersion;
    }
    /**
     * wifi特性 
     * @param wifiVersion
     */
    public void setWifiVersion(String wifiVersion) {
        this.wifiVersion = wifiVersion;
    }

    /**
     * 是否支持蓝牙 0 不支持 1 支持 
     * @return
     */
    public Integer getSuppertBt() {
        return suppertBt;
    }
    /**
     * 是否支持蓝牙 0 不支持 1 支持 
     * @param suppertBt
     */
    public void setSuppertBt(Integer suppertBt) {
        this.suppertBt = suppertBt;
    }

    /**
     * 蓝牙版本、特性 
     * @return
     */
    public String getBtVersion() {
        return btVersion;
    }
    /**
     * 蓝牙版本、特性 
     * @param btVersion
     */
    public void setBtVersion(String btVersion) {
        this.btVersion = btVersion;
    }

    /**
     * 电池容量（Wh） 
     * @return
     */
    public Integer getBattery() {
        return battery;
    }
    /**
     * 电池容量（Wh） 
     * @param battery
     */
    public void setBattery(Integer battery) {
        this.battery = battery;
    }

    /**
     * 是否内置电池 0：无 1 支持 
     * @return
     */
    public Integer getInnerBatty() {
        return innerBatty;
    }
    /**
     * 是否内置电池 0：无 1 支持 
     * @param innerBatty
     */
    public void setInnerBatty(Integer innerBatty) {
        this.innerBatty = innerBatty;
    }

    /**
     * 设备详细说明 
     * @return
     */
    public String getDescribe() {
        return describe;
    }
    /**
     * 设备详细说明 
     * @param describe
     */
    public void setDescribe(String describe) {
        this.describe = describe;
    }

    /**
     * 备注说明 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 备注说明 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 生产厂家id 
     * @return
     */
    public Long getFactoryId() {
        return factoryId;
    }
    /**
     * 生产厂家id 
     * @param factoryId
     */
    public void setFactoryId(Long factoryId) {
        this.factoryId = factoryId;
    }

    /**
     * 开始生产时间 
     * @return
     */
    public Date getStartProduceTime() {
        return startProduceTime;
    }
    /**
     * 开始生产时间 
     * @param startProduceTime
     */
    public void setStartProduceTime(Date startProduceTime) {
        this.startProduceTime = startProduceTime;
    }

    /**
     * 生产标识（固件初始化时携带过来并获取信息） 
     * @return
     */
    public String getProduceMark() {
        return produceMark;
    }
    /**
     * 生产标识（固件初始化时携带过来并获取信息） 
     * @param produceMark
     */
    public void setProduceMark(String produceMark) {
        this.produceMark = produceMark;
    }

    /**
     * 设备操作系统信息 
     * @return
     */
    public String getOperatingSystem() {
        return operatingSystem;
    }
    /**
     * 设备操作系统信息 
     * @param operatingSystem
     */
    public void setOperatingSystem(String operatingSystem) {
        this.operatingSystem = operatingSystem;
    }

    @Override
    public String toString() {
        return "DeviceBatchEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",batchNumber=" + batchNumber +
                ",deviceType=" + deviceType +
                ",firmwareVersion=" + firmwareVersion +
                ",hardwareVersion=" + hardwareVersion +
                ",chip=" + chip +
                ",ram=" + ram +
                ",rom=" + rom +
                ",screenType=" + screenType +
                ",screenW=" + screenW +
                ",screenH=" + screenH +
                ",hornNum=" + hornNum +
                ",hornPower=" + hornPower +
                ",microphoneNum=" + microphoneNum +
                ",camera=" + camera +
                ",dcVoltage=" + dcVoltage +
                ",dcCurrent=" + dcCurrent +
                ",acVoltage=" + acVoltage +
                ",acCurrent=" + acCurrent +
                ",power=" + power +
                ",suppertWifi=" + suppertWifi +
                ",wifiVersion=" + wifiVersion +
                ",suppertBt=" + suppertBt +
                ",btVersion=" + btVersion +
                ",battery=" + battery +
                ",innerBatty=" + innerBatty +
                ",describe=" + describe +
                ",remark=" + remark +
                ",factoryId=" + factoryId +
                ",startProduceTime=" + startProduceTime +
                ",produceMark=" + produceMark +
                ",operatingSystem=" + operatingSystem +
                "}";
    }
}